Visible to the public "Script for Detecting Vulnerable TCP/IP Stacks Released"Conflict Detection Enabled

The Industrial Control Systems Cyber Emergency Response Team (ICS-CERT) released a new advisory about four newly discovered vulnerabilities impacting the Treck TCP/IP stack. These vulnerabilities affect Treck TCP/IP stack version 6.0.1.67 and older versions. The most critical vulnerability allows attackers to perform Denial-of-Service (DoS) attacks and execute arbitrary code. Forescout released an open-source script called the project-memoria-detector tool that can be used to detect whether a network device is running one of the four open-source TCP/IP stacks impacted by the vulnerabilities. This article continues to discuss the new vulnerabilities discovered in the Treck TCP/IP stack and the tool developed by Forescout to detect the use of vulnerable TCP/IP stacks.

Help Net Security reports "Script for Detecting Vulnerable TCP/IP Stacks Released"